org.apache.sysds.runtime.functionobjects

## Class KahanPlus

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.KahanFunction
      - - org.apache.sysds.runtime.functionobjects.KahanPlus

All Implemented Interfaces:
  Serializable

    public class KahanPlus
    extends KahanFunction

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Data` `execute(Data in1, double in2)`
`Data` `execute(Data in1, double in2, double in3)`
`void` `execute2(KahanObject in1, double in2)` Simplified version of execute(Data in1, double in2) without exception handling and casts.
`void` `execute3(KahanObject in1, double in2, int count)`
`static KahanPlus` `getKahanPlusFnObject()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.KahanFunction

`requiresCorrection`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getKahanPlusFnObject

    public static KahanPlus getKahanPlusFnObject()

#### execute

    public Data execute(Data in1,
                        double in2)

Overrides:
  `execute` in class `FunctionObject`

#### execute

    public Data execute(Data in1,
                        double in2,
                        double in3)

Overrides:
  `execute` in class `FunctionObject`

#### execute2

    public void execute2(KahanObject in1,
                         double in2)

Simplified version of execute(Data in1, double in2) without exception handling and casts.

Specified by:
  `execute2` in class `KahanFunction`
Parameters:
  `in1` - kahan object input
  `in2` - double input

#### execute3

    public void execute3(KahanObject in1,
                         double in2,
                         int count)

Specified by:
  `execute3` in class `KahanFunction`